<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\Drawing</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_angleToDegrees" title="angleToDegrees ::Convert angle to degrees.">
            <span class="description">Convert angle to degrees.</span><pre>angleToDegrees</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_cellDimensionToPixels" title="cellDimensionToPixels ::Convert column width from (intrinsic) Excel units to pixels.">
            <span class="description">Convert column width from (intrinsic) Excel units to pixels.</span><pre>cellDimensionToPixels</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_degreesToAngle" title="degreesToAngle ::Convert degrees to angle.">
            <span class="description">Convert degrees to angle.</span><pre>degreesToAngle</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_EMUToPixels" title="EMUToPixels ::Convert EMU to pixels.">
            <span class="description">Convert EMU to pixels.</span><pre>EMUToPixels</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_imagecreatefrombmp" title="imagecreatefrombmp ::Create a new image from file. By alexander at alexauto dot nl.">
            <span class="description">Create a new image from file. By alexander at alexauto dot nl.</span><pre>imagecreatefrombmp</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_pixelsToCellDimension" title="pixelsToCellDimension ::Convert pixels to column width. Exact algorithm not known.">
            <span class="description">Convert pixels to column width. Exact algorithm not known.</span><pre>pixelsToCellDimension</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_pixelsToEMU" title="pixelsToEMU ::Convert pixels to EMU.">
            <span class="description">Convert pixels to EMU.</span><pre>pixelsToEMU</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_pixelsToPoints" title="pixelsToPoints ::Convert pixels to points.">
            <span class="description">Convert pixels to points.</span><pre>pixelsToPoints</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_pointsToPixels" title="pointsToPixels ::Convert points to pixels.">
            <span class="description">Convert points to pixels.</span><pre>pointsToPixels</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Drawing</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_angleToDegrees"></a>
                        <div class="element clickable methodpublic method_angleToDegrees" data-toggle="collapse" data-target=".method_angleToDegrees .collapse">
                            <h2>Convert angle to degrees.</h2>
                            <pre>angleToDegrees(integer $pValue): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>Angle</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Degrees</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_cellDimensionToPixels"></a>
                        <div class="element clickable methodpublic method_cellDimensionToPixels" data-toggle="collapse" data-target=".method_cellDimensionToPixels .collapse">
                            <h2>Convert column width from (intrinsic) Excel units to pixels.</h2>
                            <pre>cellDimensionToPixels(float $pValue,\PhpOffice\PhpSpreadsheet\Style\Font $pDefaultFont): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>float</code><p><p>Value in cell dimension</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pDefaultFont</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p><p>Default font of the workbook</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Value in pixels</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_degreesToAngle"></a>
                        <div class="element clickable methodpublic method_degreesToAngle" data-toggle="collapse" data-target=".method_degreesToAngle .collapse">
                            <h2>Convert degrees to angle.</h2>
                            <pre>degreesToAngle(integer $pValue): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>Degrees</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Angle</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_EMUToPixels"></a>
                        <div class="element clickable methodpublic method_EMUToPixels" data-toggle="collapse" data-target=".method_EMUToPixels .collapse">
                            <h2>Convert EMU to pixels.</h2>
                            <pre>EMUToPixels(integer $pValue): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>Value in EMU</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Value in pixels</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_imagecreatefrombmp"></a>
                        <div class="element clickable methodpublic method_imagecreatefrombmp" data-toggle="collapse" data-target=".method_imagecreatefrombmp .collapse">
                            <h2>Create a new image from file. By alexander at alexauto dot nl.</h2>
                            <pre>imagecreatefrombmp(string $p_sFile): resource</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>see
                                                </th>
                                                <td><a href="http://www.php.net/manual/en/function.imagecreatefromwbmp.php#86214">http://www.php.net/manual/en/function.imagecreatefromwbmp.php#86214</a>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$p_sFile</h4>
                                                <code>string</code><p><p>Path to Windows DIB (BMP) image</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>resource</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_pixelsToCellDimension"></a>
                        <div class="element clickable methodpublic method_pixelsToCellDimension" data-toggle="collapse" data-target=".method_pixelsToCellDimension .collapse">
                            <h2>Convert pixels to column width. Exact algorithm not known.</h2>
                            <pre>pixelsToCellDimension(integer $pValue,\PhpOffice\PhpSpreadsheet\Style\Font $pDefaultFont): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>By inspection of a real Excel file using Calibri 11, one finds 1000px ~ 142.85546875
This gives a conversion factor of 7. Also, we assume that pixels and font size are proportional.</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>Value in pixels</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pDefaultFont</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Font.html">\PhpOffice\PhpSpreadsheet\Style\Font</a></code><p><p>Default font of the workbook</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Value in cell dimension</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_pixelsToEMU"></a>
                        <div class="element clickable methodpublic method_pixelsToEMU" data-toggle="collapse" data-target=".method_pixelsToEMU .collapse">
                            <h2>Convert pixels to EMU.</h2>
                            <pre>pixelsToEMU(integer $pValue): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>Value in pixels</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Value in EMU</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_pixelsToPoints"></a>
                        <div class="element clickable methodpublic method_pixelsToPoints" data-toggle="collapse" data-target=".method_pixelsToPoints .collapse">
                            <h2>Convert pixels to points.</h2>
                            <pre>pixelsToPoints(integer $pValue): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>Value in pixels</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p><p>Value in points</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_pointsToPixels"></a>
                        <div class="element clickable methodpublic method_pointsToPixels" data-toggle="collapse" data-target=".method_pointsToPixels .collapse">
                            <h2>Convert points to pixels.</h2>
                            <pre>pointsToPixels(integer $pValue): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>Value in points</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Value in pixels</p></p>                                </div>
                            </div>

                        </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\Drawing"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.html">Shared</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Drawing.html">Drawing</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:49 +0000.<br/>
    </footer></body>
</html>
